Bug 467702 - r300 Xorg mode setting make the system freeze
r300 Xorg mode setting make the system freeze
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 07:57 EDT by Souiri Mohamed Zakaria
Modified: 2009-12-18 01:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:36:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
archive contains a copy of /var/log/message /var/log/Xorg.0.log /home/$user/.xsession-errors (25.37 KB, application/x-bzip-compressed-tar)
2008-10-20 07:57 EDT, Souiri Mohamed Zakaria
no flags Details
i686_Xorg.0.log from the archive (47.73 KB, application/octet-stream)
2008-10-27 19:25 EDT, Matěj Cepl
no flags Details
i686_xsession-errors from the archive (8.89 KB, application/octet-stream)
2008-10-27 19:25 EDT, Matěj Cepl
no flags Details
messages from the archive (96.31 KB, application/octet-stream)
2008-10-27 19:25 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Souiri Mohamed Zakaria 2008-10-20 07:57:28 EDT
Created attachment 320865 [details]
archive contains a copy of /var/log/message /var/log/Xorg.0.log /home/$user/.xsession-errors

Description of problem:
When using the Xorg  mode setting  the system crashes  living a  only option to push the reset button.
the crash happens:
 - when starting  a kde session just at  the end of  the splash screen.  
 - or  a short time after launching any application on a Xfce/gnome 
 environment (especially when starting sea-monkey web browser )
When starting the system with the kernel parameter nomodeset everything works just fine
Version-Release number of selected component (if applicable):
 - 6.9.0-21  
 - 6.9.0-25 
 - 6.9.0-26 
 - 6.9.0-27
 
How reproducible:
 always 
  
Actual results:
total freeze of the system with no access to the Vt

Expected results:
the X11 session should run smoothly
Additional info:
the attachment contains the logs concerning the kde case of the bug
Comment 1 Dave Airlie 2008-10-20 16:40:53 EDT
Can you try with a newer kernel kernel-2.6.27.3-30.rc1.fc10
has some fixes.
Comment 2 Souiri Mohamed Zakaria 2008-10-20 17:57:56 EDT
can't test with kernel-2.6.27.3-30.rc1.fc10 since  kernel-2.6.27.3-30.rc1.fc10 has n't  yet  been pushed according to yum .
Comment 3 Matěj Cepl 2008-10-24 10:33:13 EDT
All built kernels are here
http://koji.fedoraproject.org/koji/packageinfo?packageID=8
and the latest is
http://koji.fedoraproject.org/koji/buildinfo?buildID=67381 (i.e., kernel-2.6.27.3-44.fc10)
Comment 4 Matěj Cepl 2008-10-27 19:25:07 EDT
Created attachment 321665 [details]
i686_Xorg.0.log from the archive
Comment 5 Matěj Cepl 2008-10-27 19:25:11 EDT
Created attachment 321666 [details]
i686_xsession-errors from the archive
Comment 6 Matěj Cepl 2008-10-27 19:25:18 EDT
Created attachment 321667 [details]
messages from the archive
Comment 7 Souiri Mohamed Zakaria 2008-11-02 09:14:41 EST
the freeze problem has been solved  but  another bug occurs when using the modesettings within a few minute of working  the screen become black  just like if the system  went into hibernation mode
Comment 8 Carlo Raudino 2008-11-02 17:47:23 EST
damn modesetting. I've just upgrated to rawhide, and my system was REALLY REALLY REALLY SLOW.

My video card is a radeon X1050 R300 based, so fully working with DRI project Radeon driver.

everything was choppy and fedora crashed several times (also changing the wallpaper resulted to a crash) to a striped black and white screen of death...

Now I edited grub, adding nomodesetting, and fedora works better...


I don't know if it's an issue with R300 or just modesetting is too much immature...but this bug is annoying :(
Comment 9 Bug Zapper 2008-11-25 23:01:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Diego 2008-12-14 09:22:00 EST
I still sometimes experience the hard freeze with VT switch or at the end of the KDE splash.

Similar card: Radeon 9500 AGP.

Name       : kernel
Arch       : i686
Versione    : 2.6.27.7
Release    : 134.fc10

Name       : xorg-x11-drv-ati
Arch       : i386
Versione    : 6.9.0
Release    : 61.fc10


N.B.: the freeze doesn't always happen. You get it ~70% of the times (maybe with the VT switch it's even a bit more frequent).

All goes well with "nomodeset".
Comment 11 Diego 2008-12-21 07:43:00 EST
No progress with kernel-2.6.27.9-163.fc10 and xorg-x11-drv-ati-6.9.0-62.fc10
Comment 12 Bug Zapper 2009-11-18 03:36:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:36:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.